> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fungies.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancel order

> Cancel a specific order by changing its status to CANCELLED.
    
    This action does not automatically process refunds. To refund a paid order, 
    use the refund endpoint or process through your payment provider.
    Requires write access.



## OpenAPI

````yaml /api-reference/api-docs.yaml patch /v0/orders/{orderIdOrNumber}/cancel
openapi: 3.1.0
info:
  title: Fungies API v0
  version: 0.3.5
servers:
  - url: https://api.fungies.io
security: []
tags:
  - name: discounts
    description: Discounts related endpoints
  - name: keys
    description: Offer product keys related endpoints
  - name: orders
    description: Orders related endpoints
  - name: payments
    description: Payments related endpoints
  - name: offers
    description: Offers related endpoints
  - name: products
    description: Products related endpoints
  - name: subscriptions
    description: Subscriptions related endpoints
  - name: users
    description: Users related endpoints
  - name: variants
    description: Product variants related endpoints
  - name: plans
    description: Product plans related endpoints
  - name: elements
    description: Elements related endpoints
paths:
  /v0/orders/{orderIdOrNumber}/cancel:
    patch:
      tags:
        - orders
      summary: Cancel order
      description: |-
        Cancel a specific order by changing its status to CANCELLED.
            
            This action does not automatically process refunds. To refund a paid order, 
            use the refund endpoint or process through your payment provider.
            Requires write access.
      operationId: PatchV0OrdersOrderIdOrNumberCancel
      parameters:
        - name: orderIdOrNumber
          in: path
          required: true
          description: PATCH /v0/orders/:orderIdOrNumber/cancel Parameter
          schema:
            $ref: >-
              #/components/schemas/PatchV0OrdersOrderIdOrNumberCancelParameterOrderIdOrNumber
      requestBody:
        description: PATCH /v0/orders/:orderIdOrNumber/cancel Request body
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/PatchV0OrdersOrderIdOrNumberCancelRequestBody
      responses:
        '200':
          description: PATCH /v0/orders/:orderIdOrNumber/cancel Positive response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PatchV0OrdersOrderIdOrNumberCancelPositiveResponse
        '400':
          description: PATCH /v0/orders/:orderIdOrNumber/cancel Negative response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PatchV0OrdersOrderIdOrNumberCancelNegativeResponse
              examples:
                example1:
                  value:
                    status: error
                    error:
                      message: Sample error message
      security:
        - APIKEY_1: []
          APIKEY_2: []
components:
  schemas:
    PatchV0OrdersOrderIdOrNumberCancelParameterOrderIdOrNumber:
      oneOf:
        - type: string
          format: uuid
        - type: string
          pattern: ^#?([0-9A-Za-z]{12,32}|[0-9]+)(-[0-9]+)?$
    PatchV0OrdersOrderIdOrNumberCancelRequestBody:
      type: object
      properties: {}
      required: []
    PatchV0OrdersOrderIdOrNumberCancelPositiveResponse:
      type: object
      properties:
        status:
          type: string
          const: success
        data:
          type: object
          properties:
            order:
              type: object
              properties:
                object:
                  type: string
                  enum:
                    - order
                  default: order
                  description: Object type identifier. Always 'order' for order objects.
                id:
                  type: string
                  format: uuid
                  description: Unique identifier (UUID) for this order.
                number:
                  type: string
                  pattern: ^#?([0-9A-Za-z]{12,32}|[0-9]+)(-[0-9]+)?$
                  description: Human-readable order number.
                status:
                  type: string
                  enum:
                    - PENDING
                    - PAID
                    - FAILED
                    - UNPAID
                    - CANCELLED
                    - REFUNDED
                    - PARTIALLY_REFUNDED
                    - EXPIRED
                  description: Current order status.
                value:
                  type:
                    - integer
                    - 'null'
                  format: int64
                  minimum: -9007199254740991
                  maximum: 9007199254740991
                  default: 0
                tax:
                  type:
                    - integer
                    - 'null'
                  format: int64
                  minimum: -9007199254740991
                  maximum: 9007199254740991
                  default: 0
                fee:
                  type:
                    - integer
                    - 'null'
                  format: int64
                  minimum: -9007199254740991
                  maximum: 9007199254740991
                  default: 0
                totalItems:
                  type:
                    - integer
                    - 'null'
                  format: int64
                  minimum: 0
                  maximum: 9007199254740991
                  default: 0
                country:
                  type:
                    - string
                    - 'null'
                  default: null
                currency:
                  type:
                    - string
                    - 'null'
                  enum:
                    - AFN
                    - ALL
                    - DZD
                    - AOA
                    - ARS
                    - AMD
                    - AWG
                    - AUD
                    - AZN
                    - BSD
                    - BDT
                    - BBD
                    - BZD
                    - BMD
                    - BOB
                    - BAM
                    - BWP
                    - BRL
                    - BHD
                    - GBP
                    - BND
                    - BGN
                    - BIF
                    - BYN
                    - KHR
                    - CAD
                    - CVE
                    - KYD
                    - KWD
                    - XAF
                    - XPF
                    - CLP
                    - CNY
                    - COP
                    - KMF
                    - CDF
                    - CRC
                    - HRK
                    - CZK
                    - DKK
                    - DJF
                    - DOP
                    - XCD
                    - EGP
                    - ETB
                    - EUR
                    - FKP
                    - FJD
                    - GMD
                    - GEL
                    - GIP
                    - GTQ
                    - GNF
                    - GYD
                    - HTG
                    - HNL
                    - HKD
                    - HUF
                    - ISK
                    - INR
                    - IDR
                    - ILS
                    - JMD
                    - JPY
                    - JOD
                    - KZT
                    - KES
                    - KGS
                    - LAK
                    - LBP
                    - LSL
                    - LRD
                    - MOP
                    - MKD
                    - MGA
                    - MWK
                    - MYR
                    - MVR
                    - MRO
                    - MUR
                    - MXN
                    - MDL
                    - MNT
                    - MAD
                    - MZN
                    - MMK
                    - NAD
                    - NPR
                    - ANG
                    - TWD
                    - NZD
                    - NIO
                    - NGN
                    - NOK
                    - OMR
                    - PKR
                    - PAB
                    - PGK
                    - PYG
                    - PEN
                    - PHP
                    - PLN
                    - QAR
                    - RON
                    - RUB
                    - RWF
                    - SHP
                    - SVC
                    - WST
                    - STD
                    - SAR
                    - RSD
                    - SCR
                    - SLL
                    - SGD
                    - SBD
                    - SOS
                    - ZAR
                    - KRW
                    - LKR
                    - SRD
                    - SZL
                    - SEK
                    - CHF
                    - TJS
                    - TZS
                    - THB
                    - TND
                    - TOP
                    - TTD
                    - TRY
                    - UGX
                    - UAH
                    - AED
                    - UYU
                    - USD
                    - UZS
                    - VUV
                    - VEF
                    - VND
                    - XOF
                    - YER
                    - ZMW
                    - SLE
                    - XCG
                    - SSP
                    - VES
                    - MRU
                    - STN
                    - VED
                  default: null
                currencyDecimals:
                  type:
                    - integer
                    - 'null'
                  format: int64
                  minimum: -9007199254740991
                  maximum: 9007199254740991
                  default: null
                createdAt:
                  type:
                    - integer
                    - 'null'
                  format: int64
                  minimum: 0
                  maximum: 9007199254740991
                userId:
                  type:
                    - string
                    - 'null'
                  format: uuid
                  default: null
                user:
                  type:
                    - object
                    - 'null'
                  properties:
                    object:
                      type: string
                      enum:
                        - user
                      default: user
                      description: Object type identifier. Always 'user' for user objects.
                    id:
                      type: string
                      format: uuid
                      description: Unique identifier (UUID) for this user.
                    username:
                      type:
                        - string
                        - 'null'
                      default: null
                      description: Username of the user, if set.
                  required:
                    - id
                  default: null
                lastPaymentId:
                  type:
                    - string
                    - 'null'
                  format: uuid
                  default: null
                lastPaymentNumber:
                  type:
                    - string
                    - 'null'
                  pattern: ^#?([0-9A-Za-z]{12,32}|[0-9]+)(-[0-9]+)?$
                  default: null
                lastPayment:
                  type:
                    - object
                    - 'null'
                  properties:
                    object:
                      type: string
                      enum:
                        - payment
                      default: payment
                      description: >-
                        Object type identifier. Always 'payment' for payment
                        objects.
                    id:
                      type: string
                      format: uuid
                      description: Unique identifier (UUID) for this payment.
                    type:
                      type: string
                      enum:
                        - one_time
                        - subscription_initial
                        - subscription_update
                        - subscription_interval
                        - subscription_extra
                        - claim_free
                      description: |-
                        Type of payment:
                            - one_time: Single purchase
                            - subscription_initial: First subscription payment
                            - subscription_update: Subscription modification payment
                            - subscription_interval: Recurring subscription payment
                            - subscription_extra: Additional subscription charge
                            - claim_free: Free product claim
                    number:
                      type: string
                      pattern: ^#?([0-9A-Za-z]{12,32}|[0-9]+)(-[0-9]+)?$
                      description: >-
                        Human-readable payment number (e.g., #ABC123DEF456).
                        Used for reference in invoices and support.
                    status:
                      type: string
                      enum:
                        - PENDING
                        - PAID
                        - FAILED
                        - UNPAID
                        - CANCELLED
                        - REFUNDED
                        - PARTIALLY_REFUNDED
                        - EXPIRED
                      description: |-
                        Current payment status:
                            - PENDING: Being processed
                            - PAID: Completed successfully
                            - FAILED: Payment failed
                            - UNPAID: Not yet attempted
                            - CANCELLED: Was cancelled
                            - REFUNDED: Fully refunded
                            - PARTIALLY_REFUNDED: Partially refunded
                            - EXPIRED: Expired before completion
                  required:
                    - id
                    - type
                    - number
                    - status
                  default: null
                subscriptionId:
                  type:
                    - string
                    - 'null'
                  pattern: ^#?([0-9A-Za-z]{12,32}|[0-9]+)(-[0-9]+)?$
                  default: null
                subscription:
                  type:
                    - object
                    - 'null'
                  properties:
                    object:
                      type: string
                      enum:
                        - subscription
                      default: subscription
                      description: >-
                        Object type identifier. Always 'subscription' for
                        subscription objects.
                    id:
                      type: string
                      pattern: ^#?([0-9A-Za-z]{12,32}|[0-9]+)(-[0-9]+)?$
                      description: Subscription identifier (based on initial order number).
                    status:
                      type: string
                      enum:
                        - all
                        - active
                        - canceled
                        - incomplete
                        - incomplete_expired
                        - past_due
                        - trialing
                        - paused
                        - unpaid
                      description: |-
                        Subscription status from payment provider:
                            - active: Subscription is active and billing
                            - past_due: Payment failed, retry in progress
                            - canceled: Subscription has been cancelled
                            - unpaid: Payment failed after all retries
                            - incomplete: Initial payment pending
                            - incomplete_expired: Initial payment expired
                            - trialing: In trial period
                            - paused: Subscription is paused
                  required:
                    - id
                    - status
                  default: null
                orderNumber:
                  type: string
                  pattern: ^#?([0-9A-Za-z]{12,32}|[0-9]+)(-[0-9]+)?$
              required:
                - id
                - number
                - status
                - createdAt
                - orderNumber
          required:
            - order
      required:
        - status
        - data
    PatchV0OrdersOrderIdOrNumberCancelNegativeResponse:
      type: object
      properties:
        status:
          type: string
          const: error
        error:
          type: object
          properties:
            message:
              type: string
          required:
            - message
      required:
        - status
        - error
  securitySchemes:
    APIKEY_1:
      type: apiKey
      in: header
      name: x-fngs-public-key
    APIKEY_2:
      type: apiKey
      in: header
      name: x-fngs-secret-key

````